Foreman - Bug #25185

Pxegrub2_chainload unable to determine disk containing /EFI/BOOT/BOOTX64.EFI
10/12/2018 07:10 AM - Ben ter Haar

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: Templates

Target version:

Difficulty: Fixed in Releases: 1.21.0
Triaged: Yes Found in Releases:

Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/communit

y-templates/pull/719,
https://github.com/theforeman/communit
y-templates/pull/528,
https://github.com/theforeman/communit
y-templates/pull/533

Description

Problem:
After installing Linux (Tried CentOS7 and Debian 9.5) on UEFI machines (HP Z2 mini G3, HP Z4, HP Proliant DL380 Gen10),
pxegrub?2 chainload to local disk fails.

Expected outcome:
search --file --no-floppy --set=root /EFI/BOOT/BOOTX64.EFI should result in a (hd?,*) device. Currently, $root is empty

Foreman and Proxy versions:
CentOS7: 1.14.3-1

Foreman and Proxy plugin versions:
CentOS7: 1.14.3-1

Other relevant data:
Steps to reproduce:

1. Configure UEFI on target machine
2. Install Debian on target machine
3. boot target using Network

I've used the latest available pxegrub2_chainload template to see if the problem persists which it does.

A discussion on this topic (which can be found at: [[
https://community.theforeman.org/t/pxegrub2-chainload-unable-to-determine-disk-containing-efi-boot-bootx64-efi/11360]]) was
started before creating this issue.

Associated revisions

Revision 11f63675 - 11/01/2018 03:55 PM - Lukas Zapletal

Fixes #25185 - determine device dynamically

History

#1 - 10/12/2018 02:14 PM - Ewoud Kohl van Wijngaarden
- Project changed from Templates to Foreman

- Category set to Templates

#2 - 10/15/2018 10:55 AM - Lukas Zapletal

- Triaged changed from No to Yes

Thanks for the report and testing this!
https://community.theforeman.org/t/pxegrub2-chainload-unable-to-determine-disk-containing-efi-boot-bootx64-efi/11360]]

#3 - 10/15/2018 12:36 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/community-templates/pull/528 added

#4 - 10/25/2018 01:16 PM - The Foreman Bot
- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/community-templates/pull/533 added

#5 - 11/01/2018 04:01 PM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset community-templates|11f63675790cb5f2a74f4e28498077daa5d6dc59.

#6 - 12/04/2018 01:07 PM - Tomer Brisker
- Fixed in Releases 1.21.0 added

#7 - 04/21/2020 02:19 PM - The Foreman Bot
- Pull request https://github.com/theforeman/community-templates/pull/719 added
